Catalog - Get Assembly
Retrieves the specified assembly from the Data Lake Analytics catalog.
GET https://{accountName}.{adlaCatalogDnsSuffix}/catalog/usql/databases/{databaseName}/assemblies/{assemblyName}?api-version=2016-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string |
The Azure Data Lake Analytics account upon which to execute catalog operations. |
|
adla
|
path | True |
string |
Gets the DNS suffix used as the base for all Azure Data Lake Analytics Catalog service requests. |
|
assembly
|
path | True |
string |
The name of the assembly. |
|
database
|
path | True |
string |
The name of the database containing the assembly. |
|
api-version
|
query | True |
string |
Client Api Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved the details of the specified assembly in the specified database. |
Examples
Retrieves the specified assembly from the Data Lake Analytics catalog
Sample request
GET https://contosoadla.azuredatalakeanalytics.net/catalog/usql/databases/master/assemblies/test_assembly_name?api-version=2016-11-01
Sample response
{
"computeAccountName": "contosoadla",
"version": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"databaseName": "master",
"assemblyName": "test_assembly_name",
"clrName": "test_clr_name",
"isVisible": false,
"isUserDefined": false,
"files": [
{
"type": "Assembly",
"originalPath": "test_original_path",
"contentPath": "test_content_path"
}
],
"dependencies": [
{
"entityId": {
"name": {
"firstPart": "test_first_part",
"secondPart": "test_second_part",
"thirdPart": "test_third_part",
"server": "test_server"
},
"version": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345"
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Ddl |
A Data Lake Analytics DDL name item. |
|
Entity |
A Data Lake Analytics catalog entity identifier object. |
|
File |
the assembly file type. |
|
USql |
A Data Lake Analytics catalog U-SQL Assembly. |
|
USql |
A Data Lake Analytics catalog U-SQL dependency information item. |
|
USql |
A Data Lake Analytics catalog U-SQL assembly file information item. |
DdlName
A Data Lake Analytics DDL name item.
| Name | Type | Description |
|---|---|---|
| firstPart |
string |
the name of the table associated with this database and schema. |
| secondPart |
string |
the name of the table associated with this database and schema. |
| server |
string |
the name of the table associated with this database and schema. |
| thirdPart |
string |
the name of the table associated with this database and schema. |
EntityId
A Data Lake Analytics catalog entity identifier object.
| Name | Type | Description |
|---|---|---|
| name |
the name of the external table associated with this database, schema and table. |
|
| version |
string (uuid) |
the version of the external data source. |
FileType
the assembly file type.
| Value | Description |
|---|---|
| Assembly | |
| Resource | |
| Nodeploy |
USqlAssembly
A Data Lake Analytics catalog U-SQL Assembly.
| Name | Type | Description |
|---|---|---|
| assemblyName |
string |
the name of the assembly. |
| clrName |
string |
the name of the CLR. |
| computeAccountName |
string |
the name of the Data Lake Analytics account. |
| databaseName |
string |
the name of the database. |
| dependencies |
the list of dependencies associated with the assembly |
|
| files |
the list of files associated with the assembly |
|
| isUserDefined |
boolean |
the switch indicating if this assembly is user defined or not. |
| isVisible |
boolean |
the switch indicating if this assembly is visible or not. |
| version |
string (uuid) |
the version of the catalog item. |
USqlAssemblyDependencyInfo
A Data Lake Analytics catalog U-SQL dependency information item.
| Name | Type | Description |
|---|---|---|
| entityId |
the EntityId of the dependency. |
USqlAssemblyFileInfo
A Data Lake Analytics catalog U-SQL assembly file information item.
| Name | Type | Description |
|---|---|---|
| contentPath |
string |
The content path to the assembly file. |
| originalPath |
string |
The original path to the assembly file. |
| type |
the assembly file type. |